/*  
 * Copyright (c) 2011 Ant Kutschera
 * 
 * This file is part of Ant Kutschera's blog, 
 * http://blog.maxant.co.uk
 * 
 * This is free software: you can redistribute
 * it and/or modify it under the terms of the
 * Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 * 
 * It is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the Lesser GNU General Public License for
 * more details. 
 * 
 * You should have received a copy of the
 * Lesser GNU General Public License along with this software.
 * If not, see http://www.gnu.org/licenses/.
 */
package ch.maxant.blog.nio.ejbs;

import java.math.BigDecimal;

import javax.ejb.Stateless;

/**
 * an EJB!
 */
@Stateless
public class SalesLog {

	/**
	 * logs the sale
	 */
	public void logPurchase(String shareCode, BigDecimal price, int numShares){
		//TODO something like put it in a database?
		System.out.println("\r\n\r\n*** SALES LOG *** Purchased " + numShares + " " + shareCode + " shares at " + price + "\r\n");
	}
}
